Package weka.core

# Class WekaException

java.lang.Object
java.lang.Throwable
java.lang.Exception
weka.core.WekaException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `NoSupportForMissingValuesException`, `UnsupportedAttributeTypeException`, `UnsupportedClassTypeException`

public class WekaException extends Exception
Class for Weka-specific exceptions.

Version:
  $Revision: 1.5 $
Author:
  Richard Kirkby (rkirkby@cs.waikato.ac.nz)
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`WekaException()`
Creates a new WekaException with no message.
`WekaException(String message)`
Creates a new WekaException.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### WekaException

public WekaException()
Creates a new WekaException with no message.

### WekaException

public WekaException(String message)
Creates a new WekaException.

Parameters:
  `message` - the reason for raising an exception.